// 系统专项设置api文件
import request from '@/utils/request'
import qs from 'qs'

// 获取学生列表
export function queryStudentList(data) {
    return request({
        url: '/web-server/studentManage/queryStudentList',
        method: 'get',
        params: data
    })
}

// 根据学生ID获取学生基本报名信息
export function findStudentBaseInfo(data) {
    return request({
        url: '/web-server/studentManage/findStudentBaseInfo',
        method: 'get',
        params: data
    })
}

// 根据学生ID获取其所在的乐团
export function findStudentMusicGroups(data) {
    return request({
        url: `/web-server/studentManage/findStudentMusicGroups`,
        method: 'get',
        params: data
    })
}

// 根据乐团获取排课列表
export function findStudentCourses(data) {
    return request({
        url: `/web-server/studentManage/findStudentCourses`,
        method: 'get',
        params: data
    })
}

// 获取学生vip课
export function findStudentVipGroups(data) {
    return request({
        url: `/web-server/studentManage/findStudentVipGroups`,
        method: 'get',
        params: data
    })
}

// 获取学生签到列表
export function findStudentAttendances(data) {
    return request({
        url: `/web-server/studentManage/findStudentAttendances`,
        method: 'get',
        params: data
    })
}

// 提现分页查询
export function studentWithdraw(data) {
    return request({
        url: `/web-server/studentWithdraw/queryPage`,
        method: 'get',
        params: data
    })
}

