import request from '@/utils/request'
import qs from 'qs'

export function login (data) {
  return request({
    url: '/auth-server/usernameLogin',
    // url: '/user/login',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function getInfo () {
  return request({
    url: '/auth-server/api/queryUserInfo',
    method: 'get'
  })
}
// 登出
export function logout (data) {
  return request({
    url: '/auth-server/exit',
    method: 'post',
    data: qs.stringify(data)
  })
}
